// Monastery Shaders
// Thanks to Ti6 for the Textures
// Additional shaders and shader clean up by CMM
textures/ut4_monastery_beta/monastery_sky
{
	q3map_skylight 481 6
	surfaceparm nomarks
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nodlight
	q3map_lightmapFilterRadius 0 8
	q3map_sunExt 1 0.98 0.97 220 0 55 2 4
	q3map_nolightmap
	skyparms env/monastery_sky/monastery_sky - -
}

textures/ut4_monastery_beta/hauswand
{       
	q3map_surfacelight 1000	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_monastery_beta/mauer.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
	

textures/ut4_monastery_beta/palmenblatt
{
	cull none
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	cull disable
	surfaceparm trans 
	{
		map textures/ut4_monastery_beta/palmenblatt.tga
		alphafunc GE128
		rgbGen vertex
	}
}

textures/ut4_monastery_beta/brunnen
{
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	cull none
	{
		map textures/ut4_monastery_beta/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 -1.5
	}
}

textures/ut4_monastery_beta/brunnen_slow
{
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	cull none
	{
		map textures/ut4_monastery_beta/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 -0.8
	}
}


textures/ut4_monastery_beta/bush1
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	q3map_bounce .1	

	{
		map textures/ut4_monastery_beta/bush1.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_monastery_beta/roses
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	q3map_bounce .1	

	{
		map textures/ut4_monastery_beta/roses.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_monastery_beta/flame
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 2000
	{
		animMap 10 textures/ut4_monastery_beta/flame1.tga textures/ut4_monastery_beta/flame2.tga textures/ut4_monastery_beta/flame3.tga textures/ut4_monastery_beta/flame4.tga textures/ut4_monastery_beta/flame5.tga textures/ut4_monastery_beta/flame6.tga textures/ut4_monastery_beta/flame7.tga textures/ut4_monastery_beta/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/ut4_monastery_beta/flame2.tga textures/ut4_monastery_beta/flame3.tga textures/ut4_monastery_beta/flame4.tga textures/ut4_monastery_beta/flame5.tga textures/ut4_monastery_beta/flame6.tga textures/ut4_monastery_beta/flame7.tga textures/ut4_monastery_beta/flame8.tga textures/ut4_monastery_beta/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/ut4_monastery_beta/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/ut4_monastery_beta/zaun
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans	
	nomipmaps
	nopicmip
	cull none
	{
		map textures/ut4_monastery_beta/zaun.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/ut4_monastery_beta/plane
{   
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm nomarks
	surfaceparm alphashadow
	cull none
        {
		map textures/ut4_monastery_beta/plane.tga
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc filter
		rgbGen vertex
	}
}

textures/ut4_monastery_beta/gras
{	
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	nopicmip
	cull none
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/ut4_monastery_beta/gras.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/ut4_monastery_beta/blumen1
{	
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	nopicmip
	cull none
	deformVertexes wave 5 sin 0 .2 0 .3
	{
		map textures/ut4_monastery_beta/blumen1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/ut4_monastery_beta/water_null
{
        qer_trans 0.6
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        surfaceparm nolightmap
        surfaceparm nomarks
        q3map_fancywater 1 1 1 1
        q3map_noFog
        q3map_cloneshader textures/null_beach/water_temp_fx_2
        {
                map textures/null_beach/water_ripples2.tga
                blendfunc blend
                tcmod scroll 0 0.01
                tcmod turb 0 0.5 0.75 0.02
                tcgen vector ( 0.001953 0 0 ) ( 0 0.001253 0 )
                alphaGen const 0.5

        }
        {
                map textures/null_beach/water_ripples2.tga
                blendfunc blend
                tcmod scroll 0 0.012
                tcmod turb 0 0.5 0.25 0.025
                tcgen vector ( 0.001953 0 0 ) ( 0 0.001253 0 )
        }
}

/////////////////////////////////////////////////////////////////////
// Include the contents of this file in your shader file
//
// Contains 2 shaders, one for glass, one for the light
/////////////////////////////////////////////////////////////////////
textures/ut4_monastery_beta/light
{
	light 1
	surfaceparm nomarks
	q3map_surfacelight 2000
	surfaceparm trans
	q3map_lightimage textures/ut4_monastery_beta/light.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/ut4_monastery_beta/light.tga
	}
}
/////////////////////////////////////////////////////////////////////
textures/ut4_monastery_beta/glass
{
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	{
		map textures/ut4_monastery_beta/glass.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}
